org.apache.tiles.autotag.jsp

## Class TLDGenerator

- java.lang.Object
- - org.apache.tiles.autotag.generate.AbstractTemplateSuiteGenerator
  - - org.apache.tiles.autotag.jsp.TLDGenerator

- All Implemented Interfaces:
    TemplateSuiteGenerator

      public class TLDGenerator
      extends AbstractTemplateSuiteGenerator

  Generates the TLD file, using a template suite.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TLDGenerator(org.apache.velocity.app.VelocityEngine velocityEngine)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected String` | `getDirectoryName(File directory, String packageName, TemplateSuite suite, Map<String,String> parameters)` Calculates and returns the directory where the file will be written..
    `protected String` | `getFilename(File directory, String packageName, TemplateSuite suite, Map<String,String> parameters)` Calculates and returns the filename of the generated file.
    `protected String` | `getTemplatePath(File directory, String packageName, TemplateSuite suite, Map<String,String> parameters)` Calculates and returns the template path.

    - ### Methods inherited from class org.apache.tiles.autotag.generate.AbstractTemplateSuiteGenerator

      `generate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TLDGenerator

          public TLDGenerator(org.apache.velocity.app.VelocityEngine velocityEngine)

      Constructor.
      Parameters:
        `velocityEngine` - The Velocity engine.

  - ### Method Detail

    - #### getTemplatePath

          protected String getTemplatePath(File directory,
                                           String packageName,
                                           TemplateSuite suite,
                                           Map<String,String> parameters)

      Description copied from class: `AbstractTemplateSuiteGenerator`
      Calculates and returns the template path.
      Specified by:
        `getTemplatePath` in class `AbstractTemplateSuiteGenerator`
      Parameters:
        `directory` - The directory where the file will be written.
        `packageName` - The name of the package.
        `suite` - The template suite.
        `parameters` - The map of parameters.
      Returns:
        The template path.

    - #### getFilename

          protected String getFilename(File directory,
                                       String packageName,
                                       TemplateSuite suite,
                                       Map<String,String> parameters)

      Description copied from class: `AbstractTemplateSuiteGenerator`
      Calculates and returns the filename of the generated file.
      Specified by:
        `getFilename` in class `AbstractTemplateSuiteGenerator`
      Parameters:
        `directory` - The directory where the file will be written.
        `packageName` - The name of the package.
        `suite` - The template suite.
        `parameters` - The map of parameters.
      Returns:
        The template path.

    - #### getDirectoryName

          protected String getDirectoryName(File directory,
                                            String packageName,
                                            TemplateSuite suite,
                                            Map<String,String> parameters)

      Description copied from class: `AbstractTemplateSuiteGenerator`
      Calculates and returns the directory where the file will be written..
      Specified by:
        `getDirectoryName` in class `AbstractTemplateSuiteGenerator`
      Parameters:
        `directory` - The directory where the file will be written.
        `packageName` - The name of the package.
        `suite` - The template suite.
        `parameters` - The map of parameters.
      Returns:
        The template path.

Copyright © 2000–2023 Apache Software Foundation. All rights reserved.